syntax = "proto3";

package pagerino.permission;
option go_package = "server/app_comm/api/permission;api_permission";

import "common.proto";


message PermissionBasicInfo {
  string name = 1;
  string description = 2;
}


service PermissionService {
  // === DB information
  rpc GetInfo(common.StrIndex) returns (PermissionBasicInfo);
  
  // References
  rpc GetRoleIds(common.StrIndex) returns (common.References);

  // Common
  rpc GetMeta(common.StrIndex) returns (common.Meta);
}
